LOG1P(3)

NAME
log1p - logarithm of 1 plus argument

SYNOPSIS
#include <math.h>

double log1p(double x);
float log1pf(float x);
long double log1pl(long double x);

Compile with -std=c99; link with -lm.

DESCRIPTION
log1p(x) returns a value equivalent to `log (1 + x)'. It is computed in a way that is accurate even if the value of x is near zero.

CONFORMING TO
BSD, C99. The float and long double variants are C99 requirements.

SEE ALSO
exp(3), expm1(3), log(3)